<?php 
/**
 * The template for displaying archive pages.
 *
 * Used for displaying archive-type pages. These views can be further customized by
 * creating a separate template for each one.
 *
 * - author.php (Author archive)
 * - category.php (Category archive)
 * - date.php (Date archive)
 * - tag.php (Tag archive)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
?>
<?php get_header(); ?>


 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header">
  <div class="overlay1"></div>
    <div class="innheader-img row row-eq-height">
        <div class="col-md-6 col-sm-6  col-xs-5 pd-0 innlhs-imgbx"  <?php  if (!empty($image)) : ?>
                 style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;height: 100%;"
                  <?php endif ?>> 
        </div>
        <div class="col-md-6 col-sm-6 col-xs-7 pd-0 innheadrhs">
            <div class="innrhs-img">
                <?php 
                    $innrhs_image = get_theme_mod('innrhs_image');
                    if(!empty($innrhs_image)){
                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($innrhs_image).'" class="header-image secondry-bg-img" />';
                    }else{
                        echo '<img alt="innrhs" src="'.get_template_directory_uri().'/images/innheadrhs.png" class="header-image" />';
                    }

                ?>
            </div>
            <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                <div class="breadcrumbbox ">
                    <div class="h-inn-title">
                    <div class="h-t-icon">
                        <svg id="changeColor "  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="15" zoomAndPan="magnify" viewBox="0 0 375 374.9999" height="15" preserveAspectRatio="xMidYMid meet" version="1.0"><g><path id="pathAttribute" d="M 186.707031 8.027344 L 367.828125 184.277344 L 186.707031 360.527344 L 5.585938 184.277344 L 186.707031 8.027344 " fill-opacity="1" fill-rule="nonzero"></path></g>
                            
                        </svg>
                    </div>
            </div>
                    <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?>
                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                </div>
            <?php endif ?>  
          
        </div>
    <div class="clearfix"></div>
    </div>
</header><!-- .entry-header --> 
<main id="innerpage-box">
		<div class="container">
				<div class="inner_contentbox">
						<div id="blog-box" class="col-md-8 col-sm-8 innerpage-whitebox">
								<div class="innerblogpost">
									<?php if ( have_posts() ) :
										$luzuk_lite_full_posts = get_theme_mod('luzuk_lite_full_posts');
										while ( have_posts() ) : the_post();
											luzuk_lite_archive_post();
										endwhile;
										luzuk_lite_post_navigation();
									endif; ?>
								</div>	
						</div> 
						<div class="col-md-4 col-sm-4">
							<div id="secondary" class="widget-area">
								<?php dynamic_sidebar('luzuk-blog-sidebar'); ?>
							</div>
						</div>
						<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
				<div class="row">
						<div class="col-md-12">
								<div class="pagingation">
							    <?php lzGetPagination($query);?>
								</div>
					</div>
				</div>
		</div>
</main>

<script>
      jQuery.noConflict();
      $(function(){
      function innerblogpostHeight(){
        var ht = 0;
        $('.inner-blogpost-info').each(function(i){
          var tHt = $(this).height();
          if(ht<tHt){
            ht=tHt;
          }
        });
        $('.inner-blogpost-info').height(ht+'px');
      }
      innerblogpostHeight();
    });
    $( window ).resize(function(){
      innerblogpostHeight();
    });
</script>

<?php get_footer(); ?>
<!--<div id="page" class="home-page">
	<div id="content" class="article">
		<h1 class="postsby">
			<span><//?php //the_archive_title(); ?></span>
		</h1>	
		<//?php ///if ( have_posts() ) :
			//$luzuk_lite_full_posts = get_theme_mod('luzuk_lite_full_posts');
			//while ( have_posts() ) : the_post();
				//luzuk_lite_archive_post();
			//endwhile;
			//luzuk_lite_post_navigation();
		//endif; ?>
	</div>
	<//?php //get_sidebar(); ?>
</div>
<//?php //get_footer(); ?>