<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Padding For Section:');

$wp_customize->add_setting(
    'appointmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appointmentsection_toppadding',
    array(
        'settings'      => 'appointmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appointmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appointmentsection_bottompadding',
    array(
        'settings'      => 'appointmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Sub Heading & Heading ');

$wp_customize->add_setting(
    'app_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Info', 'luzuk' )
    )
);
$wp_customize->add_control(
    'app_subtitle',
    array(
        'settings'      => 'app_subtitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'appo_subheadingclr', 'appoi_section', 'Section Sub Heading Color', '#f8a738');

addColorPalatOption($wp_customize, 'appo_subheadingbrdclr', 'appoi_section', 'Section Sub Heading Border Color', '#301007');
$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Connect With Us', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'appo_headingclr', 'appoi_section', 'Section Heading Color', '#301007');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');

backgroundManager($wp_customize, 'appolhsbx', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/appform.jpg', 'color');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

$wp_customize->add_setting(
    'app_formtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Form', 'luzuk' )
    )
);
$wp_customize->add_control(
    'app_formtitle',
    array(
        'settings'      => 'app_formtitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Form Title', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_forminputtitleClr', 'appoi_section', 'Form Title Color', '#f8a738');

addColorPalatOption($wp_customize, 'inquiry_formimgbrdClr', 'appoi_section', 'Form Image Border Color', '#f8a738');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#fff');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextClr', 'appoi_section', 'Form Button Text Color', '#301007');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button Background Color', '#f8a738');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button Background Hover Color', '#301007');

lzCustomLable($wp_customize, 'app_rhs', 'appoi_section', 'Right Box Setting');

$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+111 222 333 4444' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Phone Number 1', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infphtxt2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+666 777 888 999' )
    )
);
$wp_customize->add_control(
    'infphtxt2',
    array(
        'settings'      => 'infphtxt2',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Phone Number 2', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info@fakemailhere.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Email 1', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infemiltxt2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info2@fakemailhere.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt2',
    array(
        'settings'      => 'infemiltxt2',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Box Email 2', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '82-9 153rd Ave  Howard Beach North Dakota (845) 264-3145a' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Box Address', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'app_rhsclr', 'appoi_section', 'Right Box Color ');

addColorPalatOption($wp_customize, 'inquiry_phemicnclr', 'appoi_section', 'Section Phone & Email Add. Icon Color', '#301007');

addColorPalatOption($wp_customize, 'inquiry_phemicnbgclr', 'appoi_section', 'Section Phone & Email Add. Icon Box BG Color', '#f8a738');

addColorPalatOption($wp_customize, 'inquiry_phemicnbrdclr', 'appoi_section', 'Section Phone & Email Add. Icon Box Border Color', '#301007');

addColorPalatOption($wp_customize, 'inquiry_btntxtclr', 'appoi_section', 'Section Phone & Email Text Color', '#301007');

addColorPalatOption($wp_customize, 'inquiry_btntxtphemclr', 'appoi_section', 'Section Phone & Email Hover Color', '#f8a738');

lzCustomLable($wp_customize, 'inquiry_highlightbx', 'appoi_section', 'Section Highlight Box');

$wp_customize->add_setting(
    'wbtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Working Hours' )
    )
);
$wp_customize->add_control(
    'wbtitle',
    array(
        'settings'      => 'wbtitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Work Box Title', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'wbtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>Mon-Thus ............... 10.AM - 7.00 PM </li> <li>Fri-Sat ............... 09.AM - 7.00 PM</li> <li>Sunday ............... Closed</li>' )
    )
);
$wp_customize->add_control(
    'wbtxt',
    array(
        'settings'      => 'wbtxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Work Box Time Text', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'inquiry_highlightbxclr', 'appoi_section', 'Section Highlight Box Color');

addColorPalatOption($wp_customize, 'work_bxbgclr', 'appoi_section', 'Section Work Box Bg Color', '#f8a738');

addColorPalatOption($wp_customize, 'work_bxbrdclr', 'appoi_section', 'Section Work Box Border Color', '#301007');

addColorPalatOption($wp_customize, 'work_bxtitleclr', 'appoi_section', 'Section Work Box Title Color', '#301007');

addColorPalatOption($wp_customize, 'work_bxtxtclr', 'appoi_section', 'Section Work Box Text Color', '#301007');