<?php 
    $wp_customize->add_section(
        'feature_area',
        array(
            'title' => __( 'Feature Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'feature_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'feature_area_disable',
            array(
                'settings'      => 'feature_area_disable',
                'section'       => 'feature_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 
    

backgroundManager($wp_customize, 'featureus', 'feature_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'featurearea_padding', 'feature_area', 'Set Section Padding');

$wp_customize->add_setting(
    'feature_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaTpadding',
    array(
        'settings'      => 'feature_areaTpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'feature_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaBpadding',
    array(
        'settings'      => 'feature_areaBpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'feature_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'feature_title_heading',
        array(
            'settings'      => 'feature_title_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Section Sub Heading , Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'featuresubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Feature', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featuresubtitle',
    array(
        'settings'      => 'featuresubtitle',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'feature_subHeading_clr', 'feature_area', 'Section Sub Heading Color ', '#f8a738');
addColorPalatOption($wp_customize, 'feature_subHeadingbrd_clr', 'feature_area', 'Section Sub Heading Border Color ', '#301007');


$wp_customize->add_setting(
    'feature_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'What We Provide', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_heading',
    array(
        'settings'      => 'feature_heading',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feature_Heading_clr', 'feature_area', 'Section Heading Color ', '#301007');


$wp_customize->add_setting('featureus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'featureus_npp_heading',
        array(
            'settings'      => 'featureus_npp_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Number Of Feature Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('featureus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 5));
$wp_customize->add_control(
    'featureus_npp_count',
    array(
        'settings'      => 'featureus_npp_count',
        'section'       => 'feature_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Feature Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);

//feature PAGES
for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'featureus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'featureus_header'.$i,
            array(
                'settings'      => 'featureus_header'.$i,
                'section'       => 'feature_area',
                'label'         => __( 'Feature Box ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'featureus_page_icon'.$i,
        array(
            'default'           => 'fa fa-thumbs-up',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'featureus_page_icon'.$i,
            array(
                'settings'      => 'featureus_page_icon'.$i,
                'section'       => 'feature_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'featureus_page_title'.$i, 'feature_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='High Quality');

lzAddElement($wp_customize, 'featureus_page_text'.$i, 'feature_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='It is a long established fact that a reader will be distracted by the readable content of a page. ');

$wp_customize->add_setting(
        'Featured_button'.$i,
        array(
            'sanitize_callback'=>'luzuk_sanitize_text',
            'default'=> __('Read More', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'Featured_button'.$i,
        array(
            'settings' =>'Featured_button'.$i,
            'section' => 'feature_area',
            'type'=> 'text',
            'label'=> __('Button Text', 'lz-fitness-premium')
        )
    );
    

lzAddElement($wp_customize, 'luzuk_feature_page_url_'.$i, 'feature_area', $type = 'text', $label="Add Link ", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'feasecbtn', 'feature_area' , 'Section Color');

addColorPalatOption($wp_customize, 'feature_area_pagebx', 'feature_area', 'Section Box BG Color', '#fde3be');

addColorPalatOption($wp_customize, 'feature_area_pagebxbrd', 'feature_area', 'Section Box Border Color', '#301007');

addColorPalatOption($wp_customize, 'feature_area_pageicon', 'feature_area', 'Section Icon Color', '#301007');

addColorPalatOption($wp_customize, 'feature_area_pagetitle', 'feature_area', 'Section Title Color', '#301007');

addColorPalatOption($wp_customize, 'feature_textclr', 'feature_area', 'Section Text Color', '#5e605d');

addColorPalatOption($wp_customize, 'feature_btntextclr', 'feature_area', 'Section Button Text Color', '#301007');

addColorPalatOption($wp_customize, 'feature_btntexthvclr', 'feature_area', 'Section Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'feature_btntextbrdclr', 'feature_area', 'Section Button Border Color', '#301007');

addColorPalatOption($wp_customize, 'feature_btntextbgclr', 'feature_area', 'Section Button BG Color', '#f8a738');

addColorPalatOption($wp_customize, 'feature_btntextbghvclr', 'feature_area', 'Section Button BG Hover Color', '#301007');