<?php
$wp_customize->add_section(
    'products_section',
    array(
        'title' => __( 'Products Section', 'Luzuk' ), 
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'products_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'products_section_disable',
        array(
            'settings'      => 'products_section_disable',
            'section'       => 'products_section',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ), 
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'productsec', 'products_section', $color='#fff', get_template_directory_uri().'/images/serbg.png', 'color');


lzCustomLable($wp_customize, 'featureproductsection_padding', 'products_section', ' Section Padding');

$wp_customize->add_setting(
    'productssec_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'productssec_toppadding',
    array(
        'settings'      => 'productssec_toppadding',
        'section'       => 'products_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'productssec_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'productssec_bottompadding',
    array(
        'settings'      => 'productssec_bottompadding',
        'section'       => 'products_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'featured_product_title_sub_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'featured_product_title_sub_title_heading',
        array(
            'settings'      => 'featured_product_title_sub_title_heading',
            'section'       => 'products_section',
            'label'         => __( 'Section Sub Heading & Heading', 'Luzuk' ),
        )
    )
);    


$wp_customize->add_setting(
    'product_subttl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Menu', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'product_subttl',
    array(
        'settings'      => 'product_subttl',
        'section'       => 'products_section',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'products_subheadClr', 'products_section', 'Section Sub Heading Color ', '#f8a738');

addColorPalatOption($wp_customize, 'products_subheadbrdClr', 'products_section', 'Section Sub Heading Border Color ', '#301007');

$wp_customize->add_setting(
    'product_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Explore Our Menu', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'product_title',
    array(
        'settings'      => 'product_title',
        'section'       => 'products_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'products_headClr', 'products_section', 'Section Heading Color ', '#301007');



$wp_customize->add_setting('productssectionimgheight_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'productssectionimgheight_lbl',
        array(
            'settings'      => 'productssectionimgheight_lbl',
            'section'       => 'products_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'Kindly Add Feature Products Images of Same Resolution', 'Luzuk' ),
        )
    )
);

lzCustomLable($wp_customize, 'product_color', 'products_section', ' Section Color');

addColorPalatOption($wp_customize, 'products_imghvclr', 'products_section', 'Section Image Hover Color', '#fff');

addColorPalatOption($wp_customize, 'products_titlclr', 'products_section', 'Section Title Color', '#301007');

addColorPalatOption($wp_customize, 'products_pricecutclr', 'products_section', 'Section Regular Price Color', '#9d9da8');

addColorPalatOption($wp_customize, 'products_priceclr', 'products_section', 'Section Selling Price Color', '#301007');


//lzCustomLable($wp_customize, 'porbtnsettings', 'products_section', 'Section Button Text & Its Colors');

// button
//$wp_customize->add_setting( 'product_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'product_button_display', array( 'label' => 'Section Button Display', 'section' => 'products_section', 'settings' => 'product_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) );

$wp_customize->add_setting(
        'product_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Add To Cart', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'product_button1',
        array(
            'settings'      => 'product_button1',
            'section'       => 'products_section',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );
// $wp_customize->add_setting('product_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('product_link',
//     array(
//         'settings'      => 'product_link',
//         'section'       => 'products_section',
//         'type'          => 'url',
//         'label'         => __( 'Add Link For Button:', 'Luzuk' )
//     )
// );    

addColorPalatOption($wp_customize, 'product_btntxtclr', 'products_section', 'Section Button Text Color ', '#301007');

addColorPalatOption($wp_customize, 'product_btntxthvclr', 'products_section', 'Section Button Text Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'product_btnbrdclr', 'products_section', 'Section Button Border Color', '#301007');

addColorPalatOption($wp_customize, 'product_btnbgclr', 'products_section', 'Section Button BG Color', '#f8a738');

addColorPalatOption($wp_customize, 'product_btnbgclrhv', 'products_section', 'Section Button BG Hover Color', '#301007');


addColorPalatOption($wp_customize, 'product_slidebtnarowclr', 'products_section', 'Section Slider Dot BG Color', '#301007');

addColorPalatOption($wp_customize, 'product_slidebtnarowhvclr', 'products_section', 'Section Slider Dot Active BG Color', '#f8a738');
