<?php
/**
* The template for displaying search results pages.
*
* @package luzuk
*/

get_header(); ?>

<header class="page-main-header">
  <div class="overlay1"></div>
    <div class="innheader-img row row-eq-height">
        <div class="col-md-6 col-sm-6  col-xs-5 pd-0 innlhs-imgbx"  <?php  if (!empty($image)) : ?>
                 style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;height: 100%;"
                  <?php endif ?>> 
        </div>
        <div class="col-md-6 col-sm-6 col-xs-7 pd-0 innheadrhs">
            <div class="innrhs-img">
                <?php 
                    $innrhs_image = get_theme_mod('innrhs_image');
                    if(!empty($innrhs_image)){
                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($innrhs_image).'" class="header-image secondry-bg-img" />';
                    }else{
                        echo '<img alt="innrhs" src="'.get_template_directory_uri().'/images/innheadrhs.png" class="header-image" />';
                    }

                ?>
            </div>
            <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                <div class="breadcrumbbox ">
                    <div class="h-inn-title">
                    <div class="h-t-icon">
                        <svg id="changeColor "  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="15" zoomAndPan="magnify" viewBox="0 0 375 374.9999" height="15" preserveAspectRatio="xMidYMid meet" version="1.0"><g><path id="pathAttribute" d="M 186.707031 8.027344 L 367.828125 184.277344 L 186.707031 360.527344 L 5.585938 184.277344 L 186.707031 8.027344 " fill-opacity="1" fill-rule="nonzero"></path></g>
                            
                        </svg>
                    </div>
            </div>
                    <h1 class="ht-main-title "><?php printf( esc_html__( 'Search Results for: %s', 'total' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
		<?php do_action( 'total_breadcrumbs' ); ?>
                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                </div>
            <?php endif ?>  
          
        </div>
    <div class="clearfix"></div>
    </div>
</header><!-- .entry-header --> 

<main id="innerpage-box">
	<div class="container">
		  <div class="inner_contentbox">
		<div id="content-box" class="col-md-8 innerpage-whitebox">
			<?php if ( have_posts() ) : ?>
				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'template-parts/content', 'search' );
					?>
				<?php endwhile; ?>
				<?php 
				the_posts_pagination( 
					array(
						'prev_text' => __( 'Prev', 'total' ),
						'next_text' => __( 'Next', 'total' ),
					)
				); 
				?>
			<?php else : ?>
			<?php get_template_part( 'template-parts/content', 'none' ); ?>
			<?php endif; ?>
		</div><!-- #main -->
		<div class="col-md-4">
			<?php  get_sidebar(); ?>
		</div>
		<div class="clearfix"></div>
		<div class="row">
			<div class="col-md-12">
				<div class="pagingation">
					<?php lzGetPagination($query);?>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
	</div>
		<div class="clearfix"></div>
	</div>
</main><!-- #primary -->
<?php get_footer();
