<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package luzuk Premium
 */

$luzuk_lite_single_breadcrumb_section = get_theme_mod('luzuk_lite_single_breadcrumb_section', '1');
$luzuk_lite_single_tags_section = get_theme_mod('luzuk_lite_single_tags_section', '1');
$luzuk_lite_authorbox_section = get_theme_mod('luzuk_lite_authorbox_section', '1');
$luzuk_lite_relatedposts_section = get_theme_mod('luzuk_lite_relatedposts_section', '1');

get_header(); ?> 
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header">
  <div class="overlay1"></div>
    <div class="innheader-img row row-eq-height">
        <div class="col-md-6 col-sm-6  col-xs-5 pd-0 innlhs-imgbx"  <?php  if (!empty($image)) : ?>
                 style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat;  background-size:cover; position: relative;height: 100%;"
                  <?php endif ?>> 
        </div>
        <div class="col-md-6 col-sm-6 col-xs-7 pd-0 innheadrhs">
            <div class="innrhs-img">
                <?php 
                    $innrhs_image = get_theme_mod('innrhs_image');
                    if(!empty($innrhs_image)){
                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($innrhs_image).'" class="header-image secondry-bg-img" />';
                    }else{
                        echo '<img alt="innrhs" src="'.get_template_directory_uri().'/images/innheadrhs.png" class="header-image" />';
                    }

                ?>
            </div>
            <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                <div class="breadcrumbbox ">
                    <div class="h-inn-title">
                    <div class="h-t-icon">
                        <svg id="changeColor "  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="15" zoomAndPan="magnify" viewBox="0 0 375 374.9999" height="15" preserveAspectRatio="xMidYMid meet" version="1.0"><g><path id="pathAttribute" d="M 186.707031 8.027344 L 367.828125 184.277344 L 186.707031 360.527344 L 5.585938 184.277344 L 186.707031 8.027344 " fill-opacity="1" fill-rule="nonzero"></path></g>
                            
                        </svg>
                    </div>
            </div>
                    <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?>
                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                </div>
            <?php endif ?>  
          
        </div>
    <div class="clearfix"></div>
    </div>
</header><!-- .entry-header -->  

<main id="innerpage-box">
    <div class="container">
        <div class="inner_contentbox">
            <div id="content-box" class="innerpage-whitebox">
                <div class="col-md-8">
                    <article class="article">       
                        <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                        <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                            <div class="single_post">
                              
                               <!-- Start Content -->
                               <div id="content" class="post-single-content box mark-links">
                                <?php the_content(); ?>
                            </div><!-- End Content -->
                            
                                <?php comments_template( '', true ); ?>
                            </div>
                        </div>
                    <?php endwhile; ?>
                    </article>
                </div>
                <div class="col-md-4">
                  <div id="secondary" class="widget-area">
                        <?php  dynamic_sidebar('luzuk-service-sidebar'); ?>                         
                    </div> 
                </div>
            <!-- Start Sidebar -->
            <?php // get_sidebar(); ?>
            <!-- End Sidebar -->
        </div>

        <div class="clearfix"></div>
    </div>
  <div class="clearfix"></div>
    </div>
</main>
<?php get_footer(); ?>