<?php
/**
 * Template Name: Blog full width
 *
 * @package luzuk Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header">
  <div class="overlay1"></div>
    <div class="innheader-img row row-eq-height">
        <div class="col-md-6 col-sm-6  col-xs-5 pd-0 innlhs-imgbx"  <?php  if (!empty($image)) : ?>
                 style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat;  background-size:cover; position: relative;height: 100%;"
                  <?php endif ?>> 
        </div>
        <div class="col-md-6 col-sm-6 col-xs-7 pd-0 innheadrhs">
            <div class="innrhs-img">
                <?php 
                    $innrhs_image = get_theme_mod('innrhs_image');
                    if(!empty($innrhs_image)){
                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($innrhs_image).'" class="header-image secondry-bg-img" />';
                    }else{
                        echo '<img alt="innrhs" src="'.get_template_directory_uri().'/images/innheadrhs.png" class="header-image" />';
                    }

                ?>
            </div>
            <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?> 
                <div class="breadcrumbbox ">
                    <div class="h-inn-title">
                    <div class="h-t-icon">
                        <svg id="changeColor "  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="15" zoomAndPan="magnify" viewBox="0 0 375 374.9999" height="15" preserveAspectRatio="xMidYMid meet" version="1.0"><g><path id="pathAttribute" d="M 186.707031 8.027344 L 367.828125 184.277344 L 186.707031 360.527344 L 5.585938 184.277344 L 186.707031 8.027344 " fill-opacity="1" fill-rule="nonzero"></path></g>
                            
                        </svg>
                    </div>
            </div>
                    <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?>
                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                </div>
            <?php endif ?>  
          
        </div>
    <div class="clearfix"></div>
    </div>
</header><!-- .entry-header -->  

<main id="innerpage-box">
    <div class="container">
        <div class="inner_contentbox">
		    <div id="blog-box" class="ht-blog-wrap innerpage-whitebox">
    	    <?php
              $current_page = max(1, get_query_var('paged'));
              $luzuk_blog_cat_exclude = get_theme_mod('luzuk_blog_categories');
              $luzuk_blog_cat_exclude = explode(',', $luzuk_blog_cat_exclude);
              $excerpt = get_theme_mod('luzuk_blog_categories_settings');
              $args = array(
                  'category__not_in' => $luzuk_blog_cat_exclude,
                  // 'page'=,
                  'paged'=> $current_page,

              );
              $query = new WP_Query($args);
              if($query -> have_posts()):
                  while($query -> have_posts()) : $query -> the_post();
                   $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
                   $img = (has_post_thumbnail())?esc_url($luzuk_image[0]):get_template_directory_uri().'/images/default.png';
            ?>
                <div class="inner-blog-post col-md-4 col-sm-6 col-xs-12 ">
                    <div class="inner-blogpost">
                        <div class="ht-blog-thumbnail">
                            <a href="<?php the_permalink(); ?>">
                                <img class="inner-blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
                                <div class="overlay"></div>
                            </a>
                        </div>
                        <div class="inner-blogpost-info">
                            <?php if( get_theme_mod('postdate_button_display','show' ) == 'show') :?>
                            <div class="blog-Athr">
                                <li><i class="fa fa-calendar-check-o"></i><?php echo get_the_date( 'j M Y' ); ?></li>
                               <!--  <li><i class="fa fa-user"></i>by <//?php echo get_the_author(); ?> </li> -->
                                <li><i class="fa fa-comments-o"></i>Comments <?php echo $my_var = get_comments_number(); ?></li>
                            </div>
                            <?php endif ?>  
                            <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
                            <div class="inner-blog-excerpt">
                              <?php 
                               if (has_excerpt()) {
                                          echo get_the_excerpt();
                                      } else {
                                          echo luzuk_excerpt(get_the_content(),150);  
                                   }
                              ?>
                            </div>
                            <?php
                                $blog_button2 = get_theme_mod('blog_button2', 'Read More');
                            ?>
                            <?php if($blog_button2) { ?>
                                <div class="bloginnbtn">  
                                    <a class= "btn" href="<?php echo esc_url(get_permalink()); ?>">
                                        <span><?php echo $blog_button2 ?></span>
                                    </a>
                                    <div class="clearfix"></div>
                                </div> 
                            <?php }?>
                            
                        </div>
                        
                    <div class="clearfix"></div>
                    </div>

                    <script>
                          var maxHeight = -1,
                          elems = document.querySelectorAll(".page-template-blog-template .inner-blog-post > *");
                          elems = [].slice.call(elems) // Now a true Array

                          elems.forEach(function(e){
                              maxHeight = Math.max(maxHeight, e.offsetHeight);
                          });

                          elems.forEach(function(e){
                              e.style.height = maxHeight + "px";
                          });

                    </script>
                   </div> 

                <?php
                   endwhile;
                endif;
                wp_reset_postdata();
                ?>
                <div class="clearfix"></div>
            </div>
            <div class="pagingation">
                <?php lzGetPagination($query);?>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</main>
<?php get_footer(); ?>